> Publish list of object to kafka

[![XO code style](https://img.shields.io/badge/code_style-XO-5ed9c7.svg)](https://github.com/sindresorhus/xo)

## Install
```bash
yarn add @tcf_team/send-json-to-kafka-queue

# or

npm install --save @tcf_team/send-json-to-kafka-queue
```

## Configuring
The location of kafka can be set by the environment variable:
```bash
KAFKA_URL=localhost:9092 # default
```

## Example usage

```js
const {sendToKafka} = require('send-to-kafka');

const exampleFunction = async () => {
  const somethingToAddInsideEachMessage = 'what you want string, object, list, number';
  const listOfMessageJSON = [
    {key: 'value', key2: 'value2'},
    {key: 'value', something: 'value'}
  ];
  
   
  await sendToKafka('topic', somethingToAddInsideEachMessage, listOfMessageJSON)
};

exampleFunction().then(() => {console.log('Everything is sent')});
```

## Debugging
This package uses the [debug package](https://www.npmjs.com/package/debug).
You can configure it with environment variables:
```bash
DEBUG=send-to-kafka:debug # only debug messages
DEBUG=send-to-kafka:trace # only trace messages
DEBUG=send-to-kafka:*     # every messages
```
